LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
PrintableStateEvent Struct Referencepublished

specifies the print progress of an XPrintable. More...

`import"PrintableStateEvent.idl";`

Inheritance diagram for PrintableStateEvent:

## Public Attributes
PrintableState | State
| contains the current state. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

specifies the print progress of an XPrintable.

com::sun::star::lang::EventObject::Source contains the XPrintable having changed its state

.

## Member Data Documentation

## ◆ State

PrintableState State

contains the current state.

The documentation for this struct was generated from the following file:

- com/sun/star/view/PrintableStateEvent.idl